.modal__wrapper{width:100%;height:100%;margin:0;padding:0;z-index:9999;position:fixed;top:0;left:0;display:table;overflow-x:hidden;background:rgba(51, 51, 51, 0.5);}
.modal__wrapper.is-tall{overflow-x:auto;display:block;}
.modal__wrapper.is-tall .modal__double{display:block;height:100%;overflow:auto;}
.modal__wrapper.is-tall .modal__content{margin:40px auto;}
.modal__wrapper.is-bellow{z-index:9998;}
.modal__wrapper.is-hidden{display:none;}
.modal__wrapper.is-invisible{-webkit-animation:standard__hide-bg 1s;animation:standard__hide-bg 1s;-webkit-animation-fill-mode:forwards;animation-fill-mode:forwards;}
.modal__wrapper.is-invisible .modal__content{-webkit-animation:standard__hide .3s;animation:standard__hide .3s;-webkit-animation-fill-mode:forwards;animation-fill-mode:forwards;}
.modal__wrapper.is-visible .modal__content{-webkit-animation:standard__show .3s;animation:standard__show .3s;-webkit-animation-fill-mode:forwards;animation-fill-mode:forwards;}
.modal__wrapper .modal__content{display:table;min-width:320px;max-width:540px;-webkit-box-shadow:0 0 10px 5px rgba(0, 0, 0, 0.1);box-shadow:0 0 10px 5px rgba(0, 0, 0, 0.1);}
.modal__double{display:table-cell;vertical-align:middle;}
.modal__content{background:#fff;margin:0 auto;position:relative;}
.modal__close{position:absolute;top:10px;right:10px;}
.modal__close:before{content:'\00D7';display:inline-block;color:#000;text-decoration:none;font-size:30px;line-height:10px;}
.modal__wrapper--default-theme{background:rgba(51, 51, 51, 0.5);}
.modal__wrapper--default-theme.is-invisible{-webkit-animation:default__hide-bg .5s;animation:default__hide-bg .5s;-webkit-animation-fill-mode:forwards;animation-fill-mode:forwards;}
.modal__wrapper--default-theme.is-invisible .modal__content{-webkit-animation:default__hide .3s;animation:default__hide .3s;-webkit-animation-fill-mode:forwards;animation-fill-mode:forwards;}
.modal__wrapper--default-theme.is-visible .modal__content{-webkit-animation:default__show .3s;animation:default__show .3s;-webkit-animation-fill-mode:forwards;animation-fill-mode:forwards;}
.modal__wrapper--default-theme .modal__content{width:540px;-webkit-box-shadow:0 0 10px 5px rgba(0, 0, 0, 0.1);box-shadow:0 0 10px 5px rgba(0, 0, 0, 0.1);}
.modal__wrapper--default-theme .modal__close:before{display:none;}
.modal__wrapper--custom-theme{background:rgba(51, 51, 51, 0.2);}
.modal__wrapper--custom-theme.is-invisible{-webkit-animation:custom__hide-bg .5s;animation:custom__hide-bg .5s;-webkit-animation-fill-mode:forwards;animation-fill-mode:forwards;}
.modal__wrapper--custom-theme.is-invisible .modal__content{-webkit-animation:custom__hide .5s;animation:custom__hide .5s;-webkit-animation-fill-mode:forwards;animation-fill-mode:forwards;}
.modal__wrapper--custom-theme.is-visible .modal__content{-webkit-animation:custom__show .3s;animation:custom__show .3s;-webkit-animation-fill-mode:forwards;animation-fill-mode:forwards;}
.modal__wrapper--custom-theme .modal__content{width:960px;-webkit-box-shadow:0 0 10px 2px rgba(0, 0, 0, 0.2);box-shadow:0 0 10px 2px rgba(0, 0, 0, 0.2);}
@-webkit-keyframes
standard__show{100%{opacity:1;z-index:99999;}
}
@keyframes
standard__show{100%{opacity:1;z-index:99999;}
}
@-webkit-keyframes
standard__hide{100%{opacity:0;z-index:-1;}
}
@keyframes
standard__hide{100%{opacity:0;z-index:-1;}
}
@-webkit-keyframes
standard__hide-bg{100%{background:none;opacity:0;z-index:-1;}
}
@keyframes
standard__hide-bg{100%{background:none;opacity:0;z-index:-1;}
}
@-webkit-keyframes
default__show{0%{}
50%{-webkit-transform:scale(1.02);transform:scale(1.02);}
100%{opacity:1;z-index:99999;}
}
@keyframes
default__show{0%{}
50%{-webkit-transform:scale(1.02);transform:scale(1.02);}
100%{opacity:1;z-index:99999;}
}
@-webkit-keyframes
default__hide{0%{}
50%{opacity:.5;}
100%{opacity:0;z-index:-1;-webkit-transform:scale(0.9);transform:scale(0.9);}
}
@keyframes
default__hide{0%{}
50%{opacity:.5;}
100%{opacity:0;z-index:-1;-webkit-transform:scale(0.9);transform:scale(0.9);}
}
@-webkit-keyframes
default__hide-bg{0%{}
50%{}
100%{background:none;opacity:0;z-index:-1;}
}
@keyframes
default__hide-bg{0%{}
50%{}
100%{background:none;opacity:0;z-index:-1;}
}
@-webkit-keyframes
custom__hide{0%{}
50%{}
100%{-webkit-transform:translate3d(0, -50%, 0);transform:translate3d(0, -50%, 0);opacity:0;z-index:-1;}
}
@keyframes
custom__hide{0%{}
50%{}
100%{-webkit-transform:translate3d(0, -50%, 0);transform:translate3d(0, -50%, 0);opacity:0;z-index:-1;}
}
@-webkit-keyframes
custom__hide-bg{0%{}
50%{}
100%{background:none;z-index:-1;}
}
@keyframes
custom__hide-bg{0%{}
50%{}
100%{background:none;z-index:-1;}
}
@-webkit-keyframes
custom__show{0%{-webkit-transform:translate3d(0, 50%, 0);transform:translate3d(0, 50%, 0);}
50%{}
100%{opacity:1;z-index:99999;}
}
@keyframes
custom__show{0%{-webkit-transform:translate3d(0, 50%, 0);transform:translate3d(0, 50%, 0);}
50%{}
100%{opacity:1;z-index:99999;}
}